Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Dist-Zilla CPAN distribution.

Report information
The Basics
Id: 57508
Status: resolved
Priority: 0/
Queue: Dist-Zilla

People
Owner: Nobody in particular
Requestors: avar [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: 2.101310
Fixed in: (no value)



Subject: warnings.pm dependency isn't declared in PREREQ_PM
Download (untitled) / with headers
text/plain 208b
warnings.pm appeared in 5.6, but it's not declared in PREREQ_PM. Since other parts of Dist::Zilla aim for 5.5 compatibility in its output ( using BEGIN { require $version }) warnings.pm should be declared.
minimum output target has been shifted to 5.6, going forward -- rjbs


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.